import chronoptics.tof as tof

# File name to save to
fileName = "frames.csf"

# Amount of frames to capture
numFrames = 10

# Amount of frames to drop before capturing
dropFrames = 100

# Serial of camera to connect to, if empty will connect to the first found
serial = "2020004"

cam = tof.GigeInterface()
msg = cam.find(serial)
cam.connect(msg)

if not cam.testStreamPacketSize():
    raise RuntimeError("Lower stream packet size")

writer = tof.createCsfWriterGigeInterface(fileName, cam)

# We can start streaming depth frames from the camera.
cam.startDepthStream(tof.DepthStreamType.RADIAL_INTENSITY)

# Drop frames
for i in range(dropFrames):
    frame = cam.getDepthData()

print("Frames dropped")

# Capture frames
for i in range(numFrames):
    frame = cam.getDepthData()
    writer.writeFrame(frame)

print("Frames captured")
cam.stopDepthStream()
cam.disconnect()
